


function showHideCommon(divxName) {
    divx = document.getElementById(divxName);

    /* show the intialy hidden object */
    if (divx.style.display == 'none') {
        if (divx.nodeName == 'DIV')
            divx.style.display = 'block';
        if (divx.nodeName == 'IMG')
            try {
                divx.style.display = 'inline';
            } catch(e) {
                divx.style.display = 'block';
            }

        if (divx.nodeName == 'TR') {
            try {
                divx.style.display = 'table-row';
            } catch(e) {
                divx.style.display = 'block';
            }
        }
        if (divx.nodeName == 'TD')
            divx.style.display = 'table-cell';
        if (divx.nodeName == 'A')
            divx.style.display = 'inline';
        if (divx.nodeName == 'SPAN')
            divx.style.display = 'inline';
        if (divx.nodeName == 'INPUT')
            divx.style.display = 'inline';
        if (divx.nodeName == 'P')
            divx.style.display = 'block';
        if (divx.nodeName == 'TABLE')
            divx.style.display = 'block';
        //link.innerHTML=textHidden;
    }
    /* hide the initaly shown object */
    else
    {
        divx.style.display='none';
    }
}

function expandIfNot(name)
{   var x = name+'Expanded';
    var expanded=true;
    if(document.getElementById(name+'Expanded').style.display=='none'){
        showHideCommon(name+'IconExpanded');
        showHideCommon(name+'IconMinimized');
        showHideCommon(name+'Expanded');
        showHideCommon(name+'Minimized');
    }
}

function addComment(path) {
    var reason="";
    var reasonDiv=$('commentsReason');
    var commentElement = $('comment');
    var comment = commentElement.value;
    reason+=validateForInput(commentElement,"Comment Body");
    reason+=validateEmpty(commentElement,"Comment Body");
    if(reason==""){
        new Ajax.Updater('commentList', '../info/comment-ajaxprocessor.jsp', { method: 'post', parameters: {comment: comment, path: path}});
        commentElement.value = '';
        reasonDiv.style.display="none";
        commentElement.style.background="White";
        showHideCommon('add-comment-div');
    }else{
        reasonDiv.innerHTML=reason;
        reasonDiv.style.display="block";
        return false;
    }
}

function applyTag(e) {
    var reasonDiv=$('tagsReason');
    var reason="";


    var keyCode;
    if (window.event) {
        keyCode = window.event.keyCode;
    } else {
        keyCode = e.which;
    }

    if (keyCode == 13) {

        var path = document.getElementById('tfPath').value;
        var tag = $('tfTag').value;
        reason+=validateIllegal($('tfTag'),"Tag Name");
        if(reason==""){
            new Ajax.Updater('tagList', '../info/tag-ajaxprocessor.jsp', { method: 'post', parameters: {tag: tag, path: path} });
            $('tfTag').value = "";
            showHideCommon('tagAddTable');
            reasonDiv.style.display="none";
        }
        else{
            reasonDiv.style.display="block";
            reasonDiv.innerHTML=reason;
        }
    }
}

function validateForInput(fld,fldName){
    var error = "";
    var illegalChars = /(\<[a-zA-Z0-9\s\/]*>)/; // match any starting tag

    if (illegalChars.test(fld.value)) {
        error = "The "+fldName+" contains illegal characters.<br />";
        fld.style.background = 'Yellow';
    } else{
        fld.style.background = 'White';
    }
   return error;
}

function validateEmpty(fld,fldName) {
    var error = "";

    if (fld.value.length == 0) {
        fld.style.background = 'Yellow';
        error = "The required field "+fldName+" has not been filled in.<br />"
    } else {
        fld.style.background = 'White';
    }
    return error;
}

function validateIllegal(fld,fldName){
    var error = "";

    var illegalChars = /([^a-zA-Z0-9_\-\x2E\&\?\\\:\,\s])/; // allow only letters and numbers - _and period

    if (fld.value == "") {
        fld.style.background = 'Yellow';
        error = "Please make sure you fill the "+fldName+" field.<br />";
    }
    if (illegalChars.match(fld.value)) {
        error = "The "+fldName+" contains illegal characters.<br />";
        fld.style.background = 'Yellow';
    } else{
        fld.style.background = 'White';
    }

   return error;
}